#### D.6.3.6 arnoldCorank

Procedure from library `arnoldclassify.lib` (see arnoldclassify_lib).

Usage:
  arnoldCorank(f); f poly

Assume:
  basering is local, f in maxideal(2) has isolated critical point at 0

Return:
  corank of the Hessian matrix of f

Example:

    LIB "arnoldclassify.lib";
    ring r=0,(x,y,z),ds;
    poly f=(x2+3y-2z)^2+xyz-(x-y3+x2*z3)^3;
    arnoldCorank(f);
    ==> 2

User manual for Singular version 4.4.1, 2025, generated by texi2html.